namespace Ecng.Trading.Xaml
{
	using System;
	using System.Runtime.Serialization;

	using Ecng.Serialization;
	using Ecng.Trading.Algo.Strategies;

	/// <summary>
	/// -.
	/// </summary>
	[DataContract]
	[Serializable]
	public class LogEntry
	{
		[field:NonSerialized]
		private Strategy _strategy;

		/// <summary>
		/// C.
		/// </summary>
		[Ignore]
		public Strategy Strategy
		{
			get { return _strategy; }
			set { _strategy = value; }
		}

		/// <summary>
		///   -.
		/// </summary>
		[DataMember]public DateTime Time { get; set; }

		/// <summary>
		///  - (,   ..).
		/// </summary>
		[DataMember]public StrategyErrorStates ErrorState { get; set; }

		/// <summary>
		///  -.
		/// </summary>
		[DataMember]public string Message { get; set; }
	}
}